@import '../../styles/mixins'
@import '../../styles/variables'

.cookie_consent
    position fixed
    top 0
    left 0
    width 100%
    height 100vh
    z-index 500
    background-color rgba($cl--high, 0.9)

    &__inner
        background-color $cl--off
        width 90%
        max-height 100vh - $sp--triple
        overflow-y auto
        +above(3)
            width 60%
        margin $sp--triple auto
        padding $sp
        +above(3)
            padding $sp $sp--double
        +above(5)
            padding $sp $sp * 2.5
        text-align center

        p + p
            margin-top $sp--half

    &__icon
        width $sp * 3
        height $sp * 3
        +above(3)
            width $sp * 5
            height $sp * 5
        +above(6)
            width $sp * 7
            height $sp * 7
        margin 0 auto

    &__actions
        display flex
        flex-direction row
        justify-content center
        margin-top $sp--plus-half

    &__body
        > h3
            font-size $fz--base
            +above(3)
                font-size $fz--base * $ratio
        > p
            font-size $fz--base * $ratio ** -1
            +above(3)
                font-size $fz--base

    .button
        overflow hidden
        width $sp * 4
        height $sp * 2
        +above(3)
            width $sp * 5
            height $sp * 2.5
        padding $sp--fifth $sp
        box-shadow 1px 1px 5px $cl--gray
        border-radius $bdrs
        background-color $cl--gray
        font-size $fz--base * $ratio ** -1
        +above(3)
            font-size $fz--base
        font-weight bold

        &:hover
        &:active
            background-color darken($cl--gray, 11%)

        &:not(:first-child)
            margin-left $sp
            +above(3)
                margin-left $sp--double

        &--accept
            background-color #F29AA8
            color $cl--off

            &:hover
            &:active
                background-color darken(#F29AA8, 11%)
